Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005117OCaml~DO NOT USE (was: OCaml general)public2010-07-29 15:552010-08-18 14:46
Reporteravsm 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionreopened 
PlatformOSOS Version
Product Version3.12.0+beta1 or 3.12.0+rc1 
Target VersionFixed in Version3.12.1+dev 
Summary0005117: build failure without HAS_MMAP on UNIX
DescriptionThere's a minor typo (not_implemented instead of caml_not_implemented) in the stub for mmap that causes the build to fail when HAS_MMAP is not defined. Patch attached.
TagsNo tags attached.
Attached Filesdiff file icon mmap.diff [^] (443 bytes) 2010-07-29 15:55 [Show Content]

- Relationships

-  Notes
(0005638)
doligez (administrator)
2010-08-18 14:46

Thanks for the report. This will be fixed in 3.12.1.

- Issue History
Date Modified Username Field Change
2010-07-29 15:55 avsm New Issue
2010-07-29 15:55 avsm File Added: mmap.diff
2010-08-18 14:46 doligez Note Added: 0005638
2010-08-18 14:46 doligez Status new => closed
2010-08-18 14:46 doligez Resolution open => reopened
2010-08-18 14:46 doligez Fixed in Version => 3.12.1+dev
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker